Skip to main content
PUT
/
openapi
/
v1
/
user
/
team
/
key-budget
curl --request PUT \
  --url https://api.novita.ai/openapi/v1/user/team/key-budget \
  --header 'Authorization: Bearer <API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '{"member_id": "<string>", "key_id": "<string>", "budget_type": "Recurring", "budget_limit": 100000, "cycle": "Monthly"}'
{}

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

member_id
string
required
Sub-user account ID of the API Key owner.
key_id
string
required
Target API Key ID.
budget_type
string
required
Budget type. Possible values: Unlimited, One-time, Recurring.
budget_limit
int64
Budget limit, in units of 1/10000 USD (e.g., 10000 = 1.00).Requiredwhenā€˜budgettypeā€˜isnotā€˜Unlimitedā€˜.Minimumvalueisā€˜10000ā€˜(1.00). Required when `budget_type` is not `Unlimited`. Minimum value is `10000` (1.00).
cycle
string
Reset cycle. Required when budget_type=Recurring. Currently only Monthly is supported.

Response

Returns HTTP 200 with an empty response body on success.
curl --request PUT \
  --url https://api.novita.ai/openapi/v1/user/team/key-budget \
  --header 'Authorization: Bearer <API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '{"member_id": "<string>", "key_id": "<string>", "budget_type": "Recurring", "budget_limit": 100000, "cycle": "Monthly"}'
{}